%define commit 14f058c36208a551c80d0e98d76164fb87b2b8af

%define major 1

%define libextension %mklibname signon-extension %{major}
%define libplugins %mklibname signon-plugins %{major}
%define libpluginscommon %mklibname signon-plugins-common %{major}
%define libqt %mklibname signon-qt5_ %{major}

%define devname %mklibname signond -d
%define devextension %mklibname signon-extension -d
%define devplugins %mklibname signon-plugins -d
%define devqt %mklibname signon-qt5 -d

Summary:	A framework for centrally storing authentication credentials
Name:		signon
Version:	8.59
Release:	1
Group:		System/Libraries
License:	LGPLv2.1+
Url:		https://gitlab.com/accounts-sso/signond
Source0:	http://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		signon-8.56-missing-moc-include.patch
Patch1:		signon-8.57-no_static.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
Conflicts:	signond < 8.57
Obsoletes:	signond < 8.57

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%files
%{_bindir}/signond
%{_bindir}/signonpluginprocess
%{_datadir}/dbus-1/services/*.service
%dir %{_libdir}/signon
%{_libdir}/signon/*.so
%config(noreplace) %{_sysconfdir}/signond.conf

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Conflicts:	signond < 8.57

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%{_includedir}/signond
%{_libdir}/pkgconfig/signond.pc
%{_datadir}/dbus-1/interfaces/*.xml

#----------------------------------------------------------------------------

%package -n %{libextension}
Summary:	A framework for centrally storing authentication credentials
Group:		System/Libraries

%description -n %{libextension}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%files -n %{libextension}
%{_libdir}/libsignon-extension.so.%{major}
%{_libdir}/libsignon-extension.so.%{major}.*

#----------------------------------------------------------------------------

%package -n %{devextension}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libextension} = %{EVRD}

%description -n %{devextension}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devextension}
%{_includedir}/signon-extension
%{_libdir}/libsignon-extension.so
%{_libdir}/pkgconfig/SignOnExtension.pc

#----------------------------------------------------------------------------

%package -n %{libplugins}
Summary:	A framework for centrally storing authentication credentials
Group:		System/Libraries

%description -n %{libplugins}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%files -n %{libplugins}
%{_libdir}/libsignon-plugins.so.%{major}
%{_libdir}/libsignon-plugins.so.%{major}.*

#----------------------------------------------------------------------------

%package -n %{libpluginscommon}
Summary:	A framework for centrally storing authentication credentials
Group:		System/Libraries

%description -n %{libpluginscommon}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%files -n %{libpluginscommon}
%{_libdir}/libsignon-plugins-common.so.%{major}
%{_libdir}/libsignon-plugins-common.so.%{major}.*

#----------------------------------------------------------------------------

%package -n %{devplugins}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libplugins} = %{EVRD}
Requires:	%{libpluginscommon} = %{EVRD}

%description -n %{devplugins}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devplugins}
%{_includedir}/signon-plugins
%{_libdir}/libsignon-plugins.so
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/pkgconfig/signon-plugins.pc
%{_libdir}/pkgconfig/signon-plugins-common.pc

#----------------------------------------------------------------------------

%package -n %{libqt}
Summary:	A framework for centrally storing authentication credentials
Group:		System/Libraries

%description -n %{libqt}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%files -n %{libqt}
%{_libdir}/libsignon-qt5.so.%{major}
%{_libdir}/libsignon-qt5.so.%{major}.*

#----------------------------------------------------------------------------

%package -n %{devqt}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libqt} = %{EVRD}

%description -n %{devqt}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devqt}
%{_includedir}/signon-qt5
%{_libdir}/libsignon-qt5.so
%{_libdir}/cmake/SignOnQt5
%{_libdir}/pkgconfig/libsignon-qt5.pc

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for %{name}.

%files doc
%{_defaultdocdir}/libsignon-qt
%{_defaultdocdir}/signon
%{_defaultdocdir}/signon-plugins
%{_defaultdocdir}/signon-plugins-dev

#----------------------------------------------------------------------------

%prep
%setup -qn signond-VERSION_%{version}-%{commit}
%apply_patches

%build
%qmake_qt5 signon.pro
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot} STRIP=true


%changelog

* Tue Jun 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 8.59-1
- (cf4fd7b) New version 8.59
- (cf4fd7b) Drop no longer needed patches


